%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}

%bcond_without check
%global debug_package %{nil}

%global crate bytemuck

Name:           rust-bytemuck
Version:        1.14.1
Release:    1%{?dist}
Summary:        Muck around with piles of bytes

License:        Zlib OR Apache-2.0 OR MIT
URL:            https://crates.io/crates/bytemuck
Source0:         %{crates_source}

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
A crate for mucking around with piles of bytes.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE-APACHE
%license %{crate_instdir}/LICENSE-MIT
%license %{crate_instdir}/LICENSE-ZLIB
%doc %{crate_instdir}/README.md
%doc %{crate_instdir}/changelog.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+aarch64_simd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+aarch64_simd-devel %{_description}

This package contains library source intended for building other packages which
use the "aarch64_simd" feature of the "%{crate}" crate.

%files       -n %{name}+aarch64_simd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+align_offset-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+align_offset-devel %{_description}

This package contains library source intended for building other packages which
use the "align_offset" feature of the "%{crate}" crate.

%files       -n %{name}+align_offset-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+bytemuck_derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+bytemuck_derive-devel %{_description}

This package contains library source intended for building other packages which
use the "bytemuck_derive" feature of the "%{crate}" crate.

%files       -n %{name}+bytemuck_derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+derive-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+derive-devel %{_description}

This package contains library source intended for building other packages which
use the "derive" feature of the "%{crate}" crate.

%files       -n %{name}+derive-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extern_crate_alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extern_crate_alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "extern_crate_alloc" feature of the "%{crate}" crate.

%files       -n %{name}+extern_crate_alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+extern_crate_std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+extern_crate_std-devel %{_description}

This package contains library source intended for building other packages which
use the "extern_crate_std" feature of the "%{crate}" crate.

%files       -n %{name}+extern_crate_std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+min_const_generics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+min_const_generics-devel %{_description}

This package contains library source intended for building other packages which
use the "min_const_generics" feature of the "%{crate}" crate.

%files       -n %{name}+min_const_generics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+must_cast-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+must_cast-devel %{_description}

This package contains library source intended for building other packages which
use the "must_cast" feature of the "%{crate}" crate.

%files       -n %{name}+must_cast-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nightly_stdsimd-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+nightly_stdsimd-devel %{_description}

This package contains library source intended for building other packages which
use the "nightly_stdsimd" feature of the "%{crate}" crate.

%files       -n %{name}+nightly_stdsimd-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+unsound_ptr_pod_impl-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+unsound_ptr_pod_impl-devel %{_description}

This package contains library source intended for building other packages which
use the "unsound_ptr_pod_impl" feature of the "%{crate}" crate.

%files       -n %{name}+unsound_ptr_pod_impl-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroable_atomics-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroable_atomics-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroable_atomics" feature of the "%{crate}" crate.

%files       -n %{name}+zeroable_atomics-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zeroable_maybe_uninit-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+zeroable_maybe_uninit-devel %{_description}

This package contains library source intended for building other packages which
use the "zeroable_maybe_uninit" feature of the "%{crate}" crate.

%files       -n %{name}+zeroable_maybe_uninit-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%cargo_build

%install
%cargo_install

%if %{with check}
%check
%cargo_test
%endif

%changelog
* Tue Jun 18 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.14.1-1
- initial build
